Support » Plugin: WooCommerce Stripe Payment Gateway » Cannot upgrade to latest version 4.1+

  • Resolved Kenn

    (@kennsampson)


    Hello all,

    We have been using Stripe plugin for a while now, however I have been unable to upgrade to the latest version of Stripe. When I install the current version of 4.1.14 from our previous version 4.0.7 our dev site has an error of :

    Fatal error: Cannot redeclare woocommerce_stripe_missing_wc_notice() (previously declared in /location_to_site/app/plugins/woocommerce-gateway-stripe/woocommerce-gateway-stripe.php:32) in /location_to_site/app/plugins/woocommerce-gateway-stripe/woocommerce-gateway-stripe.php on line 33

    The entire site becomes unavailable with this message. WordPress and Woo is up to the latest versions.

    Any help would be grateful!

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Support Phil

    (@fullysupportedphil)

    Automattic Happiness Engineer

    Hey @kennsampson – that error indicates that something is conflicting with the Stripe plugin. As the plugin is trying to perform an action that something else has already done.

    Here is what I would recommend to resolve your problem.

    Fist, review your plugins to make sure you do not have any other Stripe plugins from third-party developers installed. If you do, deactivate and remove them.

    Next, temporarily switch to the default Twenty Nineteen or Storefront theme. Then disable ALL plugins, except for WooCommerce and the WooCommerce Stripe plugin.

    Once those steps are done, you can update the Stripe plugin. Once the plugin is updated, if there are no problems you can begin reactivating your plugins one at a time, followed by your theme.

    Once the issues returns make note of which plugin/theme is causing the problem and disable it. At that point make sure the plugin/theme that is causing the conflict is up to date and then contact it’s developer to have them correct their code.

    Since the above tests will temporarily impact the look and functionality of your site, you may want to perform these tests on a staging site. If you don’t already have a staging site set up, check with your hosting company as many offer this as part of their packages. Otherwise, you can use a free plugin such as WP Staging to set one up.

    Plugin Support Luminus Alabi

    (@luminus)

    Automattic Happiness Engineer

    Hi @kennsampson,

    We haven’t heard back from you in a while, so I’m going to mark this as resolved – if you have any further questions, you can start a new thread.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Cannot upgrade to latest version 4.1+’ is closed to new replies.